/***************************************************************************
 *            videowidget.h
 *
 *  Fri Sep  3 14:36:46 2004
 *  Copyright  2004  Bent Bisballe
 *  deva@aasimon.org
 ****************************************************************************/

/*
 *    This file is part of MIaV.
 *
 *    MIaV is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    MIaV is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MIaV; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */

/*
 * $Id: videowidget.h,v 1.4 2005/05/03 08:31:59 deva Exp $
 */

/*
 * $Log: videowidget.h,v $
 * Revision 1.4  2005/05/03 08:31:59  deva
 * Removed the error object, and replaced it with a more generic info object.
 *
 * Revision 1.3  2005/05/01 09:56:26  deva
 * Added Id and Log tags to all files
 *
 * Revision 1.2  2005/05/01 09:33:47  deva
 * *** empty log message ***
 */
#include <config.h>
#ifdef USE_GUI
 
#ifndef __VIDEOWIDGET_H__
#define __VIDEOWIDGET_H__

#include <qwidget.h>
#include <qpixmap.h>

class VideoWidget : public QWidget {
Q_OBJECT
 public:
  VideoWidget(QWidget *parent);
  ~VideoWidget();
  QPixmap getScreenshot();

 private:
};

#endif /* __VIDEOWIDGET_H__ */

#endif /* USE_GUI */
